# Interface ImmutableReference

#### Hierarchy

- ImmutableReference

- Defined in packages/db/typings/schema.d.ts:344

#####
Index

### Properties

astNode
bytecode
length
offsets

## Properties

### astNode

astNode: string

- Defined in packages/db/typings/schema.d.ts:345

### bytecode

bytecode: Bytecode

- Defined in packages/db/typings/schema.d.ts:346

### length

length: number

- Defined in packages/db/typings/schema.d.ts:347

### offsets

offsets: any[]

- Defined in packages/db/typings/schema.d.ts:348

Generated using TypeDoc